using System.ComponentModel;

namespace BS.Shared.DataContracts
{
    public partial class AssessmentSheetCategoryDC : INotifyPropertyChanged
    {
        private bool _IsSelected;

        public event PropertyChangedEventHandler PropertyChanged;

        public bool IsSelected
        {
            get
            {
                return this._IsSelected;
            }

            set
            {
                this._IsSelected = value;
                this.RaisePropertyChanged("IsSelected");
            }
        }

        private void RaisePropertyChanged(string p)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(p));
            }
        }
    }
}